Get a customer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.praxedo.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "public-rest-apis MCP server": {
    "url": "https://developers.praxedo.com/mcp"
  }
}

Close
GET /eTech/rest/ws/referentials/v1/customers/code:{customerCode}

Return the customer object if the customerCode exists.

Rate limit range : High

Path parameters

  • customerCode string Required

    Requested customer code, case insensitive.

Responses

  • 200 application/json

    Customer found successfully.

    Hide response attributes Show response attributes object
    • customerCode string Required

      Customer code. Case insensitive.

      Minimum length is 1, maximum length is 10000.

    • name string Required

      Customer name.

      Minimum length is 1, maximum length is 10000.

    • parentCustomerCode string | null

      Parent customer code. Case insensitive.

      Maximum length is 10000.

    • officeCode string

      Office code. Case insensitive. If the property is not filled in

      • if the parent customer code is filled in, the parent customer office will be applied
      • if the parent customer code is not filled in, the office of the OAuth2.0 application will be applied

      Minimum length is 1, maximum length is 10000.

    • contact object | null

      Customer contact details.

      Hide contact attributes Show contact attributes object | null
      • name string

        Customer contact name.

        Maximum length is 10000.

      • details array[object]

        Array of contact details.

        At least 0 but not more than 15 elements.

        Hide details attributes Show details attributes object

        Contact detail of the customer.

        • type string

          Contact detail type.

          Values are Mobile, Fax, Email, or Phone. Default value is Phone.

        • description string | null

          Description of the contact detail.

          Maximum length is 200.

        • value string Required

          Value of the contact.

          Maximum length is 100.

    • addressDetails object Required

      Customer address details.

      Hide addressDetails attributes Show addressDetails attributes object
      • address string | null

        Maximum length is 10000.

      • zipCode string | null

        Maximum length is 20.

      • city string Required

        Minimum length is 1, maximum length is 256.

      • country string | null

        If filled in, it should be a valid ISO 3166-1 Alpha-2 country code

        Minimum length is 2, maximum length is 2. Format should match the following pattern: ^[A-Z]{2}$.

    • description string | null

      Customer description of any.

      Maximum length is 10000.

    • customFields object

      Map of custom fields of a customer.

    • lastUpdate string(date-time) Required

      Last update, UTC date-time notation as defined by RFC 3339, section 5.6. Only returned by the GET API.

  • 400 application/json

    Bad Request - validation errors.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 401 application/json

    Unauthorized - authentication issue.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 403 application/json

    Forbidden - not enough rights.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 404 application/json

    Customer not found.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 429 application/json

    Too Many Requests.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 500 application/json

    Internal server error.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

GET /eTech/rest/ws/referentials/v1/customers/code:{customerCode}
curl \
 --request GET 'https://ws-eu1.praxedo.com/eTech/rest/ws/referentials/v1/customers/code:customer-123456' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "customerCode": "customer-b0ee57c9",
  "parentCustomerCode": null,
  "name": "Customer name",
  "addressDetails": {
    "address": null,
    "zipCode": null,
    "city": "Paris",
    "country": null
  },
  "contact": null,
  "description": null,
  "officeCode": "office-ac81dkl",
  "customFields": {
    "textCustomFieldCode": {
      "textValue": "Value of mandatory custom field"
    },
    "urlCustomFieldCode": {
      "urlValue": null
    },
    "dateCustomFieldCode": {
      "dateValue": null
    }
  },
  "lastUpdate": "2024-09-12 13:00:27 UTC"
}
{
  "customerCode": "customer-b0ee57c9",
  "parentCustomerCode": null,
  "name": "Customer name",
  "addressDetails": {
    "address": null,
    "zipCode": null,
    "city": "Paris",
    "country": null
  },
  "contact": null,
  "description": null,
  "officeCode": "office-ac81dkl",
  "customFields": {},
  "lastUpdate": "2024-09-12 13:00:27 UTC"
}
{
  "customerCode": "customer-b0ee57c9",
  "name": "Super Customer",
  "parentCustomerCode": null,
  "addressDetails": {
    "address": "10 Boulevard Raspail",
    "zipCode": "75007",
    "city": "Paris",
    "country": "FR"
  },
  "contact": {
    "name": "Jean Du Jardin",
    "details": [
      {
        "type": "Mobile",
        "description": "Personal mobile number",
        "value": "+7234567890"
      },
      {
        "type": "Email",
        "description": "Work email",
        "value": "jean.dujardin@company.com"
      },
      {
        "type": "Phone",
        "description": "",
        "value": 987654321
      },
      {
        "type": "Fax",
        "description": "Office fax",
        "value": "+1122334455"
      }
    ]
  },
  "description": "Super customer description",
  "officeCode": "office-ac81dkl",
  "customFields": {
    "checkBoxCustomFieldCode": {
      "booleanValue": true
    },
    "dateCustomFieldCode": {
      "dateValue": "2024-12-11"
    },
    "dropDownCustomFieldCode": {
      "dropDownValue": "Option selected for drop down field"
    }
  },
  "lastUpdate": "2024-09-12 13:00:27 UTC"
}
{
  "customerCode": "customer-bbcdef123",
  "name": "Sub customer",
  "parentCustomerCode": "customer-a0ee57c9",
  "addressDetails": {
    "address": null,
    "zipCode": null,
    "city": "Paris",
    "country": null
  },
  "contact": null,
  "description": null,
  "officeCode": "office-ac81dkl",
  "customFields": {
    "textCustomFieldCode": {
      "textValue": null
    },
    "dateCustomFieldCode": {
      "dateValue": null
    }
  },
  "lastUpdate": "2024-09-12 13:00:27 UTC"
}
{
  "customerCode": "customer-bbcdef123",
  "name": "Super sub customer",
  "parentCustomerCode": "customer-a0ee57c9",
  "addressDetails": {
    "address": "10 Boulevard Raspail",
    "zipCode": "75007",
    "city": "Paris",
    "country": "FR"
  },
  "contact": {
    "name": "Rommain Duris",
    "details": [
      {
        "type": "Mobile",
        "description": "Personal mobile number",
        "value": "+7234567890"
      },
      {
        "type": "Email",
        "description": "Work email",
        "value": "romain.duris@company.com"
      },
      {
        "type": "Phone",
        "description": "",
        "value": 987654321
      },
      {
        "type": "Fax",
        "description": "Office fax",
        "value": "+1122334455"
      }
    ]
  },
  "description": "Super sub customer description",
  "officeCode": "office-ac81dkl",
  "customFields": {
    "dropDownCustomFieldCode": {
      "dropDownValue": "Drop down text value"
    },
    "urlCustomFieldCode": {
      "urlValue": "https://www.domain.fr/"
    },
    "dateTimeCustomFieldCode": {
      "dateTimeValue": "2024-11-13T12:15"
    }
  },
  "lastUpdate": "2024-09-12 13:00:27 UTC"
}
{
  "customerCode": "customer-ksahf34h",
  "parentCustomerCode": null,
  "name": "Customer with custom data",
  "addressDetails": {
    "address": null,
    "zipCode": null,
    "city": "Nice",
    "country": null
  },
  "contact": null,
  "description": null,
  "officeCode": "office-ksah8671",
  "customFields": {
    "textCustomFieldCode": {
      "textValue": "Value of text field"
    },
    "checkboxCustomFieldCode": {
      "booleanValue": true
    },
    "dropDownCustomFieldCode": {
      "dropDownValue": "Option selected in drop down field"
    },
    "urlCustomFieldCode": {
      "urlValue": "https://www.domain.fr/link"
    },
    "dateCustomFieldCode": {
      "dateValue": "2024-12-11"
    },
    "dateTimeCustomFieldCode": {
      "dateTimeValue": "2024-12-11T15:30"
    },
    "timeCustomFieldCode": {
      "timeValue": 55800
    },
    "gpsCustomFieldCode": {
      "gpsValue": {
        "latitude": 34.293,
        "longitude": 132.321
      }
    }
  },
  "lastUpdate": "2024-12-11 16:50:00 UTC"
}
Response examples (400)
{
  "errors": [
    {
      "code": "referentials.customer.code.mandatory",
      "message": "Missing code in path."
    }
  ],
  "errorReference": "669b11d0ae8145aa9b106b049091b371"
}
Response examples (401)
{
  "errors": [
    {
      "code": "unauthorized.nocredentials",
      "message": "No credentials."
    }
  ],
  "errorReference": "f939c6b8c15045c9a70f500fdb570555"
}
{
  "errors": [
    {
      "code": "unauthorized.badcredentials",
      "message": "Bad Credentials."
    }
  ],
  "errorReference": "f1028f99811b422eb21f5ff176664069"
}
Response examples (403)
{
  "errors": [
    {
      "code": "access.forbiden",
      "message": "You don't have the rights to access this resource."
    }
  ],
  "errorReference": "a745dc4c5a2b473aaf8ce94c9260aa8f"
}
Response examples (404)
{
  "errors": [
    {
      "code": "referentials.customer.not.found",
      "message": "Customer not found."
    }
  ],
  "errorReference": "6ef95ca524154a35bcc21e0d482bd07b"
}
Response examples (429)
{
  "errors": [
    {
      "code": "ratelimiter.toomanyrequest",
      "message": "Rejected because of the rate limit definition."
    }
  ],
  "errorReference": "973326230a3f44daba6cc34a5939b4fb"
}
Response examples (500)
{
  "errors": [
    {
      "code": "internal.server.error",
      "message": "Something went wrong."
    }
  ],
  "errorReference": "6377010431314bf6b0b95ec4d32ddae0"
}